Skip to main content
GET
/
v1
/
dynamic-qrcode
List Dynamic QR Codes
curl --request GET \
  --url https://conta-public-api.kiwify.com/v1/dynamic-qrcode \
  --header 'X-PoP-Challenge: <api-key>' \
  --header 'X-PoP-Format: <api-key>' \
  --header 'X-PoP-Signature: <api-key>' \
  --header 'x-access-id: <api-key>'
{
  "qrcodes": [
    {
      "copy_paste_code": "00020126...",
      "created_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "picture_code_base64": "<string>",
      "status": "initial",
      "transaction_id": "abcdefghijklmnopqrstuvwxyz",
      "type": "INSTANT",
      "updated_at": "2023-11-07T05:31:56Z",
      "external_reference_id": "order-12345"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

x-access-id
string
header
required

UUID of the service account (e.g., 550e8400-e29b-41d4-a716-446655440000)

X-PoP-Challenge
string
header
required

Unix timestamp in milliseconds (e.g., 1704636800000). Must be within 5 minutes of server time.

X-PoP-Format
string
header
required

Must be 'service-account' for service account authentication

X-PoP-Signature
string
header
required

EdDSA signature of the request in base64 format. Signs: uri:method:body:timestamp

Query Parameters

external_reference_id
string | null

External reference identifier to filter QR codes

transaction_id
string | null

Transaction ID (Bacen txId) to filter QR codes

limit
integer<int32> | null

Maximum number of QR codes to return (1-100, default: 20)

Required range: x >= 0
cursor
string | null

Cursor for pagination

Response

QR codes retrieved successfully

qrcodes
object[]
required

List of dynamic QR codes

next_cursor
string | null

Cursor for the next page of results. If null, there are no more results.